Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2452603002: Modernize ref_counted.h (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
11 months ago by gab
Modified:
11 months ago
Reviewers:
danakj
CC:
chromium-reviews, gavinp+memory_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Modernize ref_counted.h BUG=653916 Committed: https://crrev.com/f70feba7ac930067d834d7cdafc68cdc048979b0 Cr-Commit-Position: refs/heads/master@{#428104}

Patch Set 1 #

Patch Set 2 : fix compile #

Total comments: 4

Patch Set 3 : init ptr_ at defn-site #

Patch Set 4 : Add RefCountedThreadSafe to OpaqueRefCounted tests #

Patch Set 5 : back to PS 2 -- will follow-up with rest #

Messages

Total messages: 25 (15 generated)
gab
Dana PTAL, a little cleanup I just split from the precursor to https://codereview.chromium.org/2443103003/#msg18 I'm writting ...
11 months ago (2016-10-25 13:12:13 UTC) #4
danakj
LGTM https://codereview.chromium.org/2452603002/diff/20001/base/memory/ref_counted.h File base/memory/ref_counted.h (right): https://codereview.chromium.org/2452603002/diff/20001/base/memory/ref_counted.h#newcode272 base/memory/ref_counted.h:272: scoped_refptr() : ptr_(nullptr) { i think do this ...
11 months ago (2016-10-25 20:29:18 UTC) #11
gab
Good point, done. https://codereview.chromium.org/2452603002/diff/20001/base/memory/ref_counted.h File base/memory/ref_counted.h (right): https://codereview.chromium.org/2452603002/diff/20001/base/memory/ref_counted.h#newcode272 base/memory/ref_counted.h:272: scoped_refptr() : ptr_(nullptr) { On 2016/10/25 ...
11 months ago (2016-10-26 16:21:04 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2452603002/40001
11 months ago (2016-10-26 16:22:12 UTC) #15
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator/builds/94829)
11 months ago (2016-10-26 16:42:57 UTC) #17
gab
On 2016/10/26 16:21:04, gab wrote: > Good point, done. > > https://codereview.chromium.org/2452603002/diff/20001/base/memory/ref_counted.h > File base/memory/ref_counted.h ...
11 months ago (2016-10-27 15:23:50 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2452603002/80001
11 months ago (2016-10-27 15:24:30 UTC) #21
gab
On 2016/10/27 15:23:50, gab wrote: > On 2016/10/26 16:21:04, gab wrote: > > Good point, ...
11 months ago (2016-10-27 15:29:17 UTC) #22
commit-bot: I haz the power
Committed patchset #5 (id:80001)
11 months ago (2016-10-27 19:06:30 UTC) #23
commit-bot: I haz the power
11 months ago (2016-10-27 19:32:39 UTC) #25
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/f70feba7ac930067d834d7cdafc68cdc048979b0
Cr-Commit-Position: refs/heads/master@{#428104}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b